Bug 9468 - cpio fails when writing to Maxtor 40GB IDE hard disk
cpio fails when writing to Maxtor 40GB IDE hard disk
Product: Red Hat Linux
Classification: Retired
Component: cpio (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: bero
Depends On:
  Show dependency treegraph
Reported: 2000-02-15 13:56 EST by Alan Stewart
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-03-01 14:18:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Stewart 2000-02-15 13:56:29 EST
I have an ASUS P2B motherboard and a new 40GB Maxtor IDE hard disk. I have
applied the latest BIOS update to allow recognition of a >32GB hard disk.
Fdisk sucessfully creates a ~40GB primary partition (#1). Mke2fs
successfully creates a filesystem with 4096-byte block size. The file
system successfully mounts. However, I've attempted several times to use
'find ... | cpio -pvd ...' to transfer a 20GB+ directory structure to this
filesystem without success. Each time cpio fails afer hours of copying,
complaining about lack of space, even though df reports there is plenty of
disk space and inodes. At this point the filesystems seems to have been
trashed. Directories that were created at the root are gone and files that
should be buried deep in the directory structure are at the root of the

I'm using freshly installed, unpatched RH 6.0 (upgraded from RH 5.1). The
new disk is at /dev/hda, though the system is configured to boot from
Comment 1 Riley H Williams 2000-02-16 11:27:59 EST
Can you try the following alternative way of transferring the files, and advise
whether that works?

 Q> OLDPATH='Path to root of old tree'
 Q> NEWPATH='Path to root for new tree'
 Q> pushd $OLDPATH
 Q> tar cf - * | ( cd $NEWPATH ; tar xvf - )
 Q> popd

Make sure that $NEWPATH is not inside $OLDPATH as otherwise you have a nice case
of infinite recursion there...
Comment 2 Alan Stewart 2000-03-01 14:18:59 EST
The error differs, but the results are the same for tar. After several
hours of processing tar begins reporting "tar: ...: Could not create file: No
such file or directory" for each file. Df reports that there is free space still
remaining. As before, listing the root directory of the filesystem shows files
that should be deep in the directory structure to be at the root, directories
that were created earlier by tar are now gone.

I have another 40GB filesystem on this machine that I've not had problems
with over the last year. Every month I refresh that filesystem with about
20GB of data from a tape sent to me by one of my customers. That
filesystem is on a DPT SCSI RAID array.

So the bug must be with IDE support for this hard drive. I've seen posts in the
linux.redhat.misc newsgroup from others having problems with large Maxtor IDE
drives. Therefore I'm going to close this bug and post a new one for IDE.

Note You need to log in before you can comment on or make changes to this bug.